Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 797664 (CVE-2021-32575) - <sys-cluster/nomad-1.0.9: arp spoofing vulnerability (CVE-2021-32575)
Summary: <sys-cluster/nomad-1.0.9: arp spoofing vulnerability (CVE-2021-32575)
Status: RESOLVED FIXED
Alias: CVE-2021-32575
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal trivial (vote)
Assignee: Gentoo Security
URL: https://discuss.hashicorp.com/t/hcsec...
Whiteboard: ~3 [noglsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-22 22:38 UTC by John Helmert III
Modified: 2021-08-07 19:46 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Helmert III gentoo-dev Security 2021-06-22 22:38:14 UTC
CVE-2021-32575 (https://www.hashicorp.com/blog/category/nomad):

HashiCorp Nomad and Nomad Enterprise up to version 1.0.4 bridge networking mode allows ARP spoofing from other bridged tasks on the same node. Fixed in 0.12.12, 1.0.5, and 1.1.0 RC1.


Please bump.
Comment 1 NATTkA bot gentoo-dev 2021-07-29 17:21:34 UTC Comment hidden (obsolete)
Comment 2 NATTkA bot gentoo-dev 2021-07-29 17:29:43 UTC Comment hidden (obsolete)
Comment 3 NATTkA bot gentoo-dev 2021-07-29 17:37:41 UTC Comment hidden (obsolete)
Comment 4 NATTkA bot gentoo-dev 2021-07-29 17:45:46 UTC Comment hidden (obsolete)
Comment 5 NATTkA bot gentoo-dev 2021-07-29 17:53:50 UTC Comment hidden (obsolete)
Comment 6 NATTkA bot gentoo-dev 2021-07-29 18:01:44 UTC Comment hidden (obsolete)
Comment 7 NATTkA bot gentoo-dev 2021-07-29 18:10:05 UTC
Package list is empty or all packages have requested keywords.
Comment 8 Larry the Git Cow gentoo-dev 2021-08-07 19:35:32 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1973994f8ee782f1aaff6b62f99a9fd034f32924

commit 1973994f8ee782f1aaff6b62f99a9fd034f32924
Author:     William Hubbs <williamh@gentoo.org>
AuthorDate: 2021-08-07 19:34:41 +0000
Commit:     William Hubbs <williamh@gentoo.org>
CommitDate: 2021-08-07 19:35:07 +0000

    sys-cluster/nomad: remove vulnerable version
    
    Bug: https://bugs.gentoo.org/797664
    Package-Manager: Portage-3.0.20, Repoman-3.0.2
    Signed-off-by: William Hubbs <williamh@gentoo.org>

 sys-cluster/nomad/Manifest           |  1 -
 sys-cluster/nomad/nomad-1.0.4.ebuild | 45 ------------------------------------
 2 files changed, 46 deletions(-)
Comment 9 John Helmert III gentoo-dev Security 2021-08-07 19:46:12 UTC
All done, thanks!